Subject: Re: IP1000 gigabit nic driver

From: David Vrabel <[email-masked]>
Date: Thu, 27 Apr 2006 23:26:07 +0100

Francois Romieu wrote:
> David Gómez <[email-masked]> :
> [...]
>> Does anybody in this list know why the IP1000 driver is not
>> included in the kernel ?
> 
> Afaik the driver has never been submitted for inclusion.
> At least not on [email-masked] (hint, hint).
> 
> [...]
>> The card in question is:
>>
>> Sundance Technology Inc IC Plus IP1000
>>
>> and the driver can be found in sundance web, sources 
> 
> URL please ?
> 
>> included. I tried to contact the author but my email
>> bounced.
>>
>> There's no LICENSE in the source, just copyrigth
>> sentences in the .c files, so i'm not sure under
>> which license it's distributed :-?.
> 
> /me goes to http://www.icplus.com.tw/driver-pp-IP1000A.html
> 
> $ unzip -c IP1000A-Linux-driver-v2.09f.zip | grep MODULE_LICENSE
>     MODULE_LICENSE("GPL");
> 
> It's a bit bloaty but it does not seem too bad (not mergeable "as
> is" though). Do you volunteer to test random cra^W^W carefully
> engineered code on your computer to help the rework/merging process ?

I finally got around to putting a 2nd NIC in my box that has one of this 
chips and was going to start fixing the driver up and preparing it for 
submission this weekend.  Or I might try rewriting from scratch based on 
the datasheet depending on how horrific the code looks on closer inspection.

Not got a whole lot of time to do this so no timescale for completion...

David Vrabel